=== debian/changelog ===
wxmathplot (0.2.0) stable; urgency=medium

  * Fix X scale: if X axis is set to date/time format, avoid negative values, which are not recognized by Windows.
  * Initialized coords in mpScaleY to avoid flooding valgrind outputs of warnings.
  * mpScaleX labels: under WIN32 platform time_t is 32 bit signed, so dates has to be checked to be valid to avoid crashes.
    This is subject to 2038 bug, but should be avoided on 64 bit builds.
  * Fix for mpInfoCoords rectangle size on Windows.
  * Introduced item mode in mpInfoLegend, to draw a square instead of a line in legend, which is more clear.
  * Implemented formatting mouse coordinate display in the same way as x axis using time formats.
  * Removed some gcc build warnings.
  * Adding the option to printout date and time data using gmtime instead of localtime.
  * Fixed bug when saving screenshots when not in white background: taxt elements were always printed in black.
  * Created new release 0.2.0 to distribute new updated version.

 -- Davide Rondini <cdron77@users.sourceforge.net>  Fri, 14 May 2021 12:04:53 +0200

wxmathplot (0.1.3-xenial1) Ubuntu; urgency=medium

  * Rebuild for Ubuntu 16.04.
  * Merge fixes from trunk.

 -- Davide Rondini <cdron77@users.sourceforge.net>  Wed, 10 Jul 2019 16:34:09 +0200

wxmathplot (0.1.3-jessie2) UNRELEASED; urgency=medium

  * Rebuild using wxWidgets 3.0.

 -- Davide Rondini <davide.rondini@samplesw.com>  Tue, 13 Oct 2015 09:58:06 +0200

wxmathplot (0.1.3-jessie1) unstable; urgency=low

  * Rebuild for Debian Jessie amd64

 -- Davide Rondini <davide.rondini@samplesw.com>  Thu, 01 Oct 2015 15:05:16 +0200

wxmathplot (0.1.3-stretch1) stable; urgency=medium

  * Rebuild of latest SVN release for Debian Stretch

 -- Davide Rondini <cdron77@users.sourceforge.net>  Tue, 18 Jul 2017 09:25:46 +0200

wxmathplot (0.1.2) unstable; urgency=low

  * Initial DEB Release.
  * Added mpX_DATE and mpX_DATETIME formats for X axis.
  * Axes labels' format can now be set using the SetLabelFormat function, so the user can select the appropriate format fitting his needs.
  * Introduced mpWindow::SetColourTheme to set background and foreground colors different from default black on white. mpPrintout will continue to print everything with white background.
  * Fixed drawing of labels for mpFX, mpFY and mpFXY. It is not really meaningful to use the label for mpFXY objects and similar ones: it is recommended to use mpInfoLegend instead, it is more clear and elegant.
  * Fixed evaluation of m_posY in mpWindow::Fit (margin top to be added, not subtracted)
  * Fixed mpFXYVector (and mpFXY) which did not respected margins when set as continuous
  * Can now build as a DLL on Windows (works only if wxWidgets are built as DLL): patch by zundoya
  * Reimplemented scrollers: patch by ngpaton
  * MATHPLOT_DO_LOGGING is now an option to be enabled by CMake building
  * Minor fixes.

 -- Davide Rondini <cdron77@users.sourceforge.net>  Thu, 11 Nov 2009 17:44:55 +0100
